## certgraph 20180911

=== Makefile ===
GIT_DATE := $(shell git log -1 --date=short --pretty='%cd' | tr -d -)
GIT_HASH := $(shell git rev-parse HEAD)

BUILD_FLAGS := -ldflags "-X main.gitDate=$(GIT_DATE) -X main.gitHash=$(GIT_HASH)"

PLATFORMS := linux/amd64 linux/386 linux/arm darwin/amd64 windows/amd64 windows/386 openbsd/amd64
SOURCES := $(shell find . -maxdepth 1 -type f -name "*.go")
ALL_SOURCES = $(shell find . -type f -name '*.go')

temp = $(subst /, ,$@)
os = $(word 1, $(temp))
arch = $(word 2, $(temp))
ext = $(shell if [ "$(os)" = "windows" ]; then echo ".exe"; fi)

.PHONY: all release fmt clean serv $(PLATFORMS)

all: certgraph

release: $(PLATFORMS)
	rm -r build/bin/

certgraph: $(SOURCES) $(ALL_SOURCES)
	go build $(BUILD_FLAGS) -o $@ $(SOURCES)

$(PLATFORMS): $(SOURCES)
	CGO_ENABLED=0 GOOS=$(os) GOARCH=$(arch) go build $(BUILD_FLAGS) -o 'build/bin/$(os)/$(arch)/certgraph$(ext)' $(SOURCES)
	mkdir -p build/$(GIT_DATE)/; cd build/bin/$(os)/$(arch)/; zip -r ../../../$(GIT_DATE)/certgraph-$(os)-$(arch)-$(GIT_DATE).zip .; cd ../../../

fmt:
	gofmt -s -w -l .

install: $(SOURCES) $(ALL_SOURCES)
	go install $(BUILD_FLAGS)

clean:
	rm -r certgraph build/

serv:
	(cd docs; python -m SimpleHTTPServer)

=== debian/changelog ===
certgraph (20180911-0kali1) kali-dev; urgency=medium

  * Initial release (see 4348)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Jul 2020 15:46:59 +0200

=== debian/control ===
Source: certgraph
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-lib-pq-dev,
               golang-github-weppos-publicsuffix-go-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev
Standards-Version: 4.5.0
Homepage: https://github.com/lanrat/certgraph
Vcs-Browser: https://gitlab.com/kalilinux/packages/certgraph
Vcs-Git: https://gitlab.com/kalilinux/packages/certgraph.git
Rules-Requires-Root: no
#XS-Go-Import-Path: github.com/lanrat/certgraph

Package: certgraph
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool to crawl the graph of certificate Alternate Names
 This package contains a tool to crawl the graph of certificate Alternate
 Names. CertGraph crawls SSL certificates creating a directed graph where each
 domain is a node and the certificate alternative names for that domain's
 certificate are the edges to other domain nodes. New domains are printed as
 they are found. In Detailed mode upon completion the Graph's adjacency list is
 printed.
 .
 Crawling defaults to collecting certificate by connecting over TCP, however
 there are multiple drivers that can search Certificate Transparency logs.
 .
 This tool was designed to be used for host name enumeration via SSL
 certificates, but it can also show you a "chain" of trust between domains and
 the certificates that re-used between them.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DH_GOPKG := github.com/lanrat/certgraph

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%certgraph-$1.tar.gz%" \
   https://github.com/lanrat/certgraph/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
